- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinTreeNode Class Reference

A class from which the real tree nodes should be derived from. More...

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinTreeNode:

[legend]
List of all members.

## Public Member Functions
virtual | ~CoinTreeNode ()
int | getDepth () const
int | getFractionality () const
double | getQuality () const
double | getTrueLB () const
BitVector128 | getPreferred () const
void | setDepth (int d)
void | setFractionality (int f)
void | setQuality (double q)
void | setTrueLB (double tlb)
void | setPreferred (BitVector128 p)
## Protected Member Functions
| CoinTreeNode ()
| CoinTreeNode (int d, int f=-1, double q=-COIN_DBL_MAX, double tlb=-COIN_DBL_MAX, BitVector128 p=BitVector128())
| CoinTreeNode (const CoinTreeNode &x)
CoinTreeNode & | operator= (const CoinTreeNode &x)
## Private Attributes
int | depth_
| The depth of the node in the tree.
int | fractionality_
| A measure of fractionality, e.g., the number of unsatisfied integrality requirements.
double | quality_
| Some quality for the node.
double | true_lower_bound_
| A true lower bound on the node.
BitVector128 | preferred_

## Detailed Description

A class from which the real tree nodes should be derived from.

Some of the data that undoubtedly exist in the real tree node is replicated here for fast access. This class is used in the various comparison functions.

Definition at line 35 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeNode::CoinTreeNode | ( |  | ) | `[inline, protected]`

Definition at line 37 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | int | d,
|  | int | f = `-1`,
|  | double | q = `-COIN_DBL_MAX`,
|  | double | tlb = `-COIN_DBL_MAX`,
|  | BitVector128 | p = `BitVector128()` |
| ) |  |  | `[inline, protected]`

Definition at line 43 of file CoinSearchTree.hpp.

CoinTreeNode::CoinTreeNode | ( | const CoinTreeNode & | x | ) | `[inline, protected]`

Definition at line 53 of file CoinSearchTree.hpp.

virtual CoinTreeNode::~CoinTreeNode | ( |  | ) | `[inline, virtual]`

Definition at line 86 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinTreeNode& CoinTreeNode::operator= | ( | const CoinTreeNode & | x | ) | `[inline, protected]`

Definition at line 59 of file CoinSearchTree.hpp.

References depth_, fractionality_, preferred_, quality_, and true_lower_bound_.

int CoinTreeNode::getDepth | ( |  | ) | const`[inline]`

Definition at line 88 of file CoinSearchTree.hpp.

References depth_.

Referenced by CoinSearchTreeCompareBreadth::operator()(), and CoinSearchTreeCompareDepth::operator()().

int CoinTreeNode::getFractionality | ( |  | ) | const`[inline]`

Definition at line 89 of file CoinSearchTree.hpp.

References fractionality_.

double CoinTreeNode::getQuality | ( |  | ) | const`[inline]`

Definition at line 90 of file CoinSearchTree.hpp.

References quality_.

Referenced by CoinSearchTreeManager::bestQuality(), CoinSearchTreeCompareBest::operator()(), CoinSearchTreeCompareDepth::operator()(), and CoinSearchTreeComparePreferred::operator()().

double CoinTreeNode::getTrueLB | ( |  | ) | const`[inline]`

Definition at line 91 of file CoinSearchTree.hpp.

References true_lower_bound_.

BitVector128 CoinTreeNode::getPreferred | ( |  | ) | const`[inline]`

Definition at line 92 of file CoinSearchTree.hpp.

References preferred_.

Referenced by CoinSearchTreeComparePreferred::operator()().

void CoinTreeNode::setDepth | ( | int | d | ) | `[inline]`

Definition at line 94 of file CoinSearchTree.hpp.

References depth_.

void CoinTreeNode::setFractionality | ( | int | f | ) | `[inline]`

Definition at line 95 of file CoinSearchTree.hpp.

References fractionality_.

void CoinTreeNode::setQuality | ( | double | q | ) | `[inline]`

Definition at line 96 of file CoinSearchTree.hpp.

References quality_.

void CoinTreeNode::setTrueLB | ( | double | tlb | ) | `[inline]`

Definition at line 97 of file CoinSearchTree.hpp.

References true_lower_bound_.

void CoinTreeNode::setPreferred | ( | BitVector128 | p | ) | `[inline]`

Definition at line 98 of file CoinSearchTree.hpp.

References preferred_.

## Member Data Documentation

int CoinTreeNode::depth_`[private]`

The depth of the node in the tree.

Definition at line 71 of file CoinSearchTree.hpp.

Referenced by getDepth(), operator=(), and setDepth().

int CoinTreeNode::fractionality_`[private]`

A measure of fractionality, e.g., the number of unsatisfied integrality requirements.

Definition at line 74 of file CoinSearchTree.hpp.

Referenced by getFractionality(), operator=(), and setFractionality().

double CoinTreeNode::quality_`[private]`

Some quality for the node.

For normal branch-and-cut problems the LP relaxation value will do just fine. It is probably an OK approximation even if column generation is done.

Definition at line 78 of file CoinSearchTree.hpp.

Referenced by getQuality(), operator=(), and setQuality().

double CoinTreeNode::true_lower_bound_`[private]`

A true lower bound on the node.

May be -infinity. For normal branch-and-cut problems the LP relaxation value is OK. It is different when column generation is done.

Definition at line 82 of file CoinSearchTree.hpp.

Referenced by getTrueLB(), operator=(), and setTrueLB().

BitVector128 CoinTreeNode::preferred_`[private]`

Definition at line 84 of file CoinSearchTree.hpp.

Referenced by getPreferred(), operator=(), and setPreferred().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/CoinUtils/src/CoinSearchTree.hpp